package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.TBusiHiddEva;

/**
 * 隐患安全评估统计 服务层
 */
public interface ITBusiHiddEvaService {

    /**
     * 查询隐患安全评估统计信息
     * @param id 查询条件
     * @return 隐患安全评估统计信息
     */
    TBusiHiddEva selectTBusiHiddEvaById(Long id);

    /**
     * 查询隐患安全评估统计列表
     * @param tBusiHiddEva 隐患安全评估统计查询条件
     * @return 隐患安全评估统计集合
     */
    List<TBusiHiddEva> selectTBusiHiddEvaList(TBusiHiddEva tBusiHiddEva);

    /**
     * 新增隐患安全评估统计
     * @param tBusiHiddEva 隐患安全评估统计信息
     * @return 影响行数
     */
    int insertTBusiHiddEva(TBusiHiddEva tBusiHiddEva);

    /**
     * 修改隐患安全评估统计
     * @param tBusiHiddEva 隐患安全评估统计信息
     * @return 影响行数
     */
    int updateTBusiHiddEva(TBusiHiddEva tBusiHiddEva);

    /**
     * 删除隐患安全评估统计
     * @param id 隐患安全评估统计主键
     * @return 影响行数
     */
    int deleteTBusiHiddEvaById(Long id);

    /**
     * 批量删除隐患安全评估统计
     * @param ids 隐患安全评估统计主键数组
     * @return 影响行数
     */
    int deleteTBusiHiddEvaByIds(Long[] ids);
}
